<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Messages</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
  </head>
  <body>
    <div class="container mt-4">
      <a href="/auth/logout">Log Out</a>
      <div class="card">
        <div class="card-body">
          <h2>Messages</h2>
          <div>
               <ul>
                  <% messages.forEach((message)=> { %>
                      <li>
                          <a href="/messages/user/:<%= message.user %>">
                            <img width="50px" height="50px" src="/data/uploads/<%= message.userPic %>" />
                              <%= message.userName %>
                          </a>
                          <ul>
                              <% message.msgArray.forEach((msgArr)=> { %>
                                  <li>
                                      <h2>
                                          <%= msgArr.userMessages.messageContent %>
                                      </h2>
                                      <p>
                                          <%= msgArr.userMessages.createdAt %>
                                      </p>
                                        <% 
                                      if(msgArr.media.length)
                                      {
                                        msgArr.media.forEach((mediaFile)=> {
                                        %>
                                        <a href="/data/uploads/<%= mediaFile.media %>"><%=  mediaFile.media %>
                                        </a><br/>
                                        <%
                                        })
                                      }
                                      %>
                                  </li>
                                  <hr />
                              <% }) %>
                      </ul>
                      </li>
                      <hr />
                  <% }) %>
              </ul>
        
    </div>
  </div>
  </body>
</html>